### Name: enterModel
### Title: Enter a model
### Aliases: enterModel
### Keywords: methods multivariate

### ** Examples

library(CoCo);
data(Reinis);
CoCoObject <- makeCoCo();
enterTable(Reinis, object = CoCoObject);

enterModel(".", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel(order = 1, set = "*", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel(order = 2, set = "*", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel(order = 4, set = "*", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel("*", object = CoCoObject);
showModel("last", object = CoCoObject);

#enterModel("[[BD][BF][G][AD][AEF]]", object = CoCoObject);
 enterModel("[[BC][CE][F][AC][ADE]]", object = CoCoObject);
showModel("last", object = CoCoObject);

#enterModel("BD,BF,G,AD,AEF.;", object = CoCoObject);
 enterModel("BC,CE,F,AC,ADE.;", object = CoCoObject);
showModel("last", object = CoCoObject);

endCoCo(object = CoCoObject);

library(CoCoCg);
data(Rats);
CoCoObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoObject);

enterModel(".", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel(order = 1, set = "*", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel(order = 2, set = "*", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel("*", object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel("*", homogeneous = TRUE, object = CoCoObject);
showModel("last", object = CoCoObject);

enterModel("[[ab]] / [[aby][abx]] / [[x^][abxy][y^]]", object = CoCoObject);
showModel("last", object = CoCoObject);

endCoCo(object = CoCoObject);

library(CoCo);
data(Byssinosis38);
CoCoObject <- makeCoCo();
enterTable(Byssinosis38, object = CoCoObject);

enterModel("*", object = CoCoObject);
enterModel("[[:byssinosis:dust:race:sex:smoking:employment]]", object = CoCoObject);

enterModel(paste(c("[[:byssinosis:dust:employment]", 
                   "[:dust:race:sex:employment]", 
                   "[:sex:smoking:employment]]"), collapse = ""), 
                   object = CoCoObject);

endCoCo(object = CoCoObject);



