### Name: returnNcells
### Title: Return the number of cells in a table
### Aliases: returnNcells
### Keywords: methods multivariate

### ** Examples


library(CoCo)
data(Hochberg77)
ftable(Hochberg77, col.vars=4:6)

# Without "data" require ending the CoCo object:

# returnNcells(data = Hochberg77);
# endCoCo();

# With CoCo object:

CoCoObject <- makeCoCo();

enterTable(Hochberg77, missing = c(1, 1, 0, 0, 0, 0), object = CoCoObject);

showOptions("specification", object = CoCoObject)

returnNcells(object = CoCoObject);

# With only a subset:

missing <- c(1, 1, 0, 0, 0, 0);
enterNames(names(dimnames(Hochberg77)), 
           levels = dim(Hochberg77) - missing,
           missing = missing, CoCoObject);

setUseVariables("bcdef.", object = CoCoObject)

enterTable(c(Hochberg77), object = CoCoObject);

showOptions("specification", object = CoCoObject)

returnNcells(object = CoCoObject);

returnNcells(set = "abc", object = CoCoObject);

returnNcells(set = "bc.", full = FALSE, total = FALSE, object = CoCoObject);
returnNcells(set = "bc.", full = FALSE, total = TRUE,  object = CoCoObject);
returnNcells(set = "abc.", full = TRUE,  total = FALSE, object = CoCoObject);
returnNcells(set = "abc.", full = TRUE,  total = TRUE,  object = CoCoObject);

excludeMissing("in", set = "bc.", object = CoCoObject);

returnNcells(set = "bc.", full = FALSE, total = FALSE, object = CoCoObject);
returnNcells(set = "bc.", full = FALSE, total = TRUE,  object = CoCoObject);
returnNcells(set = "abc.", full = TRUE,  total = FALSE, object = CoCoObject);
returnNcells(set = "abc.", full = TRUE,  total = TRUE,  object = CoCoObject);

endCoCo(object = CoCoObject);

# With continuous:

library(CoCoCg);
data(Rats);
CoCoObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoObject);
returnNcells(set = "ab;", object = CoCoObject);
returnNcells(object = CoCoObject); 

endCoCo(object = CoCoObject);




